package com.yuchen.saas.park.api.vo.park.energy;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 张逸飞
 * @create 2021年1月29日 11:18:49
 */
@Data
public class TopCompanyVo implements Comparable<TopCompanyVo>{
    private Long companyId;
    private String companyName;
    private String result;

    @Override
    public int compareTo(TopCompanyVo o) {
        BigDecimal thisResult = new BigDecimal(this.result);
        BigDecimal oResult = new BigDecimal(o.result);
        return oResult.compareTo(thisResult);
    }
}
